> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/market-replay-docs/reference/response-formats.md).

# Response formats

Use this page when you need to parse Market Replay responses.

Most endpoints return comma-delimited text, one record per line.

## Tick queries

Default tick output:

```
YYYY-MM-DD HH:MM:SS.FFF,TRADING_DAY,SESSION_CODE,PRICE,SIZE
```

Example:

```
2009-02-03 13:30:00.000,10,G,823.5,1
2009-02-03 13:30:00.125,10,G,823.75,7
```

Trade output can add optional fields:

```
YYYY-MM-DD HH:MM:SS.FFF,TRADING_DAY,EXCHANGE_ID(optional),SESSION_CODE,SALE_4BYTE_CONDITION(optional),PRICE,SIZE,PARTICIPANT_ID(optional)
```

Quote output:

```
YYYY-MM-DD HH:MM:SS.FFF,TRADING_DAY,EXCHANGE_ID(optional),QUOTE_CONDITION,BID_PRICE,BID_SIZE,BID_PARTICIPANT_ID(optional),OFFER_PRICE,OFFER_SIZE,OFFER_PARTICIPANT_ID(optional)
```

## Minute queries

Standard minute output:

```
YYYY-MM-DD HH:MM,TRADING_DAY,OPEN,HIGH,LOW,CLOSE,VOLUME
```

Example:

```
2009-02-03 14:44,10,821.75,823.25,820.75,823,10279
2009-02-03 14:43,10,823.25,823.75,821.75,821.75,11888
```

Nearby minute output prepends the active contract:

```
CONTRACT,YYYY-MM-DD HH:MM,TRADING_DAY,OPEN,HIGH,LOW,CLOSE,VOLUME
```

Example:

```
ESU09,2009-09-11 00:13,11,1040,1040,1039.75,1039.75,4
```

## End-of-day queries

EOD output:

```
SYMBOL,YYYY-MM-DD,OPEN,HIGH,LOW,CLOSE,VOLUME[,OPENINTEREST]
```

Example:

```
CSCO,2009-02-09,16.99,17.05,16.62,16.85,37633398
CSCO,2009-02-10,16.59,16.93,15.92,16.05,69148797
```

Open interest is present for futures and omitted for equities.

## Date range queries

Minute date range output:

```
SYMBOL,YYYY-MM-DD HH:MM,YYYY-MM-DD HH:MM
```

Example:

```
AAPL,2008-05-05 09:30,2011-06-29 19:57
IBM,2008-05-05 09:30,2011-06-29 18:51
```

EOD date range output:

```
SYMBOL,YYYY-MM-DD,YYYY-MM-DD
```

Example:

```
AAPL,1987-10-06,2011-06-29
IBM,1987-10-01,2011-06-29
```

## Events queries

Event output:

```
SYMBOL,YYYY-MM-DD,EVENT_TYPE,VALUE
```

Example:

```
IBM,1999-04-21,Earnings,1.55
IBM,1999-05-27,Split,2-1
IBM,2001-05-08,Dividend,0.14
```

## Futures options EOD

CSV output:

```
root,date,lastupdate,underlyingFuture,expirationDate,optionType,symbol,strike,type,open,high,low,settle,volume,oi,volatility,theoretical,delta,gamma,theta,vega,rho,underlying,rates,daystoexp
```

JSON output returns structured objects for options chains. It can also include aggregate stats when enabled.

{% hint style="info" %}
Use `futuresoptions` for CSV and `futuresoptions/json` for JSON.
{% endhint %}

## Parsing tips

* split CSV lines on commas only when the endpoint returns plain text
* parse timestamps differently for ticks and minutes
* expect optional fields on some tick responses
* expect open interest only when the dataset supports it

## Related

* [Query parameter cheat sheet](/market-replay-docs/reference/query-parameter-cheat-sheet.md)
* [Errors and troubleshooting](/market-replay-docs/reference/errors-and-troubleshooting.md)
* [Futures options EOD](/market-replay-docs/api-query-types/futures-options-eod.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/market-replay-docs/reference/response-formats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
